Subject: Re: bug#25408: Remove Decorations Around Emacs Frame (Windows OS)

From: Clément Pit-Claudel <[email-masked]>
Date: Fri, 5 May 2017 20:06:46 -0400

On 2017-04-12 05:27, martin rudalics wrote:
> I now installed most of the changes from my earlier patch.  Minor
> changes for an `internal-border' face, `x-focus-frame' and
> `select-window' will follow.  Also a major documentation rewrite will be
> installed in the next days.  Till then, the major purpose of installing
> was to check whether we get any breakage of existing code.
> 
> If people can see anything fishy, please report immediately.  Affected
> might be among others scroll bars, frame deletion and selection.  Also,
> most of the new parameters won't work on NS.  Hopefully, Alan or Anders
> can help us with some of them.
> 
>> So as a rule create your frames (lazily) once for each session and hide
>> them when you don't need them.
> 
> Did you try that in the meantime?

Yes :) I just did. It works great.

>>  > * Creating a frame / making it visible uses my WM's frame creating animation — is there a way to disable this (x-show-tip doesn't have it)?
>>
>> No idea.  I can look into that (as a rule I turn off all animations
>> here).  Do you use GTK tooltips or Emacs' native ones?
> 
> For X I have now also provided an `override-redirect' parameter which
> should replicate what the tooltip code does.  If you still get
> animations then I think you will have to explicitly tell the WM (for
> example, via the frame title) to turn them off.

This works perfectly.

I've run into another small issue: there doesn't seem to be a way to turn off truncation marks in tooltip frames. Is that correct? This bit of xdisp.c seems to take care of that for Emacs' default tip frame; is there a way to emulate this for Lisp-created frames?

  /* Get dimensions of truncation and continuation glyphs.  These are
     displayed as fringe bitmaps under X, but we need them for such
     frames when the fringes are turned off.  But leave the dimensions
     zero for tooltip frames, as these glyphs look ugly there and also
     sabotage calculations of tooltip dimensions in x-show-tip.  */
#ifdef HAVE_WINDOW_SYSTEM
  if (!(FRAME_WINDOW_P (it->f)
	&& FRAMEP (tip_frame)
	&& it->f == XFRAME (tip_frame)))
#endif

Thanks!
Clément.